## ktouch 4.13.0

=== data/CMakeLists.txt ===
add_subdirectory(keyboardlayouts) 
add_subdirectory(courses)
install( FILES "data.xml" DESTINATION ${DATA_INSTALL_DIR}/ktouch )

=== images/CMakeLists.txt ===
set(image_files
    accuracymeter.svgz
    charactersperminutemeter.svgz
    elapsedtimemeter.svgz
    meterbox.svgz
    resizegrip.svgz
    statusled.svgz
    trainingscreen.svgz
)

install( FILES ${image_files} DESTINATION ${DATA_INSTALL_DIR}/ktouch/images)

=== src/qml/CMakeLists.txt ===
set(ktouch_qml_files
    main.qml

    HomeScreen.qml
    CourseSelector.qml
    CoursePage.qml
    CourseDescriptionItem.qml
    NoCoursesMessage.qml
    ProfileSelector.qml
    ProfileForm.qml
    ProfileDetailsItem.qml
    LessonSelectorBase.qml
    LessonSelector.qml
    CustomLessonSelector.qml
    LessonPreview.qml
    LessonLockedNotice.qml
    InitialProfileForm.qml

    TrainingScreen.qml
    TrainingScreenToolbar.qml
    TrainingScreenMenuOverlay.qml
    TrainingWidget.qml
    StatBox.qml
    ElapsedTimeMeter.qml
    CharactersPerMinuteMeter.qml
    AccuracyMeter.qml
    Meter.qml
    Keyboard.qml
    KeyItem.qml
    KeyLabel.qml
    KeyboardUnavailableNotice.qml

    ScoreScreen.qml
    LearningProgressChart.qml

    InformationTable.qml
    InfoItem.qml
    InlineToolbar.qml
    MessageBox.qml
    ListItem.qml
    SheetDialog.qml
    Balloon.qml

    KeyboardLayoutEditor.qml
    SelectionRectangle.qml
    SelectionGrip.qml
)

install(FILES ${ktouch_qml_files} DESTINATION ${DATA_INSTALL_DIR}/ktouch/qml)

## ktouch 4.7.1

=== debian/changelog ===
ktouch (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:03:18 +0200

ktouch (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 23:53:36 -0400

ktouch (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release. 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 24 Jul 2011 23:35:13 +0200

ktouch (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release (moved out of ktouch)
  * Repack upstream source to include a copy of the FDL

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 11 Jul 2011 00:00:09 +0200

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch

Package: ktouch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

## ktouch 4.7.2

=== debian/changelog ===
ktouch (4:4.7.2-1) experimental; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

  [ Eshat Cakar ]
  * Add ktouch-data package.
  
 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:43 -0300

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git

Package: ktouch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktouch-data (>= ${source:Version})
Suggests: khelpcenter4
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Breaks: ktouch (<< 4:4.7.2)
Replaces: ktouch (<< 4:4.7.2)
Depends: ${misc:Depends}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 4.7.3

=== debian/changelog ===
ktouch (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:37:23 -0500

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch

Package: ktouch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

## ktouch 4.7.4

=== debian/changelog ===
ktouch (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 16:53:02 +0100

ktouch (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:38:14 +0100

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git

Package: ktouch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktouch-data (>= ${source:Version})
Suggests: khelpcenter4
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Breaks: ktouch (<< 4:4.7.2)
Replaces: ktouch (<< 4:4.7.2)
Depends: ${misc:Depends}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 4.8.2

=== debian/changelog ===
ktouch (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:45 +0000

ktouch (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:57:40 +0100

ktouch (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 21:55:59 +0100

ktouch (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:32 +0000

ktouch (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * bump breaks/replaces of ktouch-data on ktouch

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 21:05:49 +0100

ktouch (4:4.7.90-0ubuntu1) precise; urgency=low

  * breaks/replaces old jovie

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Dec 2011 18:27:17 +0000

ktouch (4:4.7.90-0ubuntu1~ppa1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 15:06:57 +0000

ktouch (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git
   - ktouch-data replaces/breaks ktouch << 4.7.3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:47:05 +0000

ktouch (4:4.7.2-0r1) UNRELEASED; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

  [ Eshat Cakar ]
  * Add ktouch-data package.
  
 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 24 Oct 2011 18:55:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7)
+ kdelibs5-dev (>= 4:4.8.1)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git
 
 Package: ktouch
 Architecture: any
@@ -29,8 +31,8 @@
 
 Package: ktouch-data
 Architecture: all
-Breaks: ktouch (<< 4:4.7.2)
-Replaces: ktouch (<< 4:4.7.2)
+Breaks: ktouch (<< 4:4.7.95), jovie (<< 4:4.7.90)
+Replaces: ktouch (<< 4:4.7.95), jovie (<< 4:4.7.90)
 Depends: ${misc:Depends}
 Description: data files for ktouch
  This package contains the architecture-independent data files for ktouch.

## ktouch 4.8.4

=== debian/changelog ===
ktouch (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Convert copyright to copyright-format v1.0 and fix/update.
  * Simplify ktouch-data.install.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jun 2012 16:30:10 +0200

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8)
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git

Package: ktouch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktouch-data (>= ${source:Version})
Suggests: khelpcenter4
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Breaks: ktouch (<< 4:4.7.2)
Replaces: ktouch (<< 4:4.7.2)
Depends: ${misc:Depends}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 4.9.2

=== debian/changelog ===
ktouch (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:33:15 +0100

ktouch (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:38:08 +0530

ktouch (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:41:22 +0100

ktouch (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:39:21 +0200

ktouch (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:00:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8)
-Standards-Version: 3.9.3
+ kdelibs5-dev (>= 4:4.9.2)
+Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git
 
 Package: ktouch
 Architecture: any
@@ -29,8 +31,8 @@
 
 Package: ktouch-data
 Architecture: all
-Breaks: ktouch (<< 4:4.7.2)
-Replaces: ktouch (<< 4:4.7.2)
+Breaks: ktouch (<< 4:4.7.95), jovie (<< 4:4.7.90)
+Replaces: ktouch (<< 4:4.7.95), jovie (<< 4:4.7.90)
 Depends: ${misc:Depends}
 Description: data files for ktouch
  This package contains the architecture-independent data files for ktouch.

## ktouch 4.9.4

=== debian/changelog ===
ktouch (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 01:01:26 +0100

ktouch (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:39:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.4)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch

## ktouch 4.10.0

=== debian/changelog ===
ktouch (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:05:01 +0000

ktouch (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:55:38 +0000

ktouch (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:43:59 +0100

ktouch (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Build-depend on libxkbfile-dev for keyboard layout detection
  * Fix syntax of debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:41:14 +0000

ktouch (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:09:22 +0000

ktouch (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * Initial upstream beta release of the rewritten ktouch

  [ Jonathan Kolberg ]
  * Add build-dep on libqt4-opengl-dev

  [ Scott Kitterman ]
  * Update ktouch.install and ktouch-data.install to match new application
  * Update debian/copyright

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Wed, 21 Nov 2012 17:30:35 +0100

ktouch (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:41:58 +0100

ktouch (4:4.7.2-0r1) raring; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

  [ Eshat Cakar ]
  * Add ktouch-data package.
  
 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 24 Oct 2011 18:55:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4)
+ kdelibs5-dev (>= 4:4.10.0), libqt4-opengl-dev,
+ libxkbfile-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch

## ktouch 4.10.2

=== debian/changelog ===
ktouch (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:58:04 +0200

ktouch (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:40:18 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libqt4-opengl-dev,
+ kdelibs5-dev (>= 4:4.10.2), libqt4-opengl-dev,
  libxkbfile-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/

## ktouch 4.10.4

=== debian/changelog ===
ktouch (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:35:58 +0200

ktouch (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:17:10 +0200

ktouch (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:58:04 +0200

ktouch (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:40:18 +0000

ktouch (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:05:01 +0000

ktouch (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:55:38 +0000

ktouch (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:43:59 +0100

ktouch (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Build-depend on libxkbfile-dev for keyboard layout detection
  * Fix syntax of debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:41:14 +0000

ktouch (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:09:22 +0000

ktouch (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * Initial upstream beta release of the rewritten ktouch

  [ Jonathan Kolberg ]
  * Add build-dep on libqt4-opengl-dev

  [ Scott Kitterman ]
  * Update ktouch.install and ktouch-data.install to match new application
  * Update debian/copyright

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Wed, 21 Nov 2012 17:30:35 +0100

ktouch (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:41:58 +0100

ktouch (4:4.7.2-0r1) raring-proposed; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

  [ Eshat Cakar ]
  * Add ktouch-data package.
  
 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 24 Oct 2011 18:55:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libqt4-opengl-dev,
+ kdelibs5-dev (>= 4:4.10.4), libqt4-opengl-dev,
  libxkbfile-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/

## ktouch 4.11.2

=== debian/changelog ===
ktouch (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:42:49 +0100

ktouch (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:33:18 +0100

ktouch (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:30:39 +0100

ktouch (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:53:17 +0100

ktouch (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:10 +0000

ktouch (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:24:34 +0100

ktouch (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:38:37 +0100

ktouch (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:43:52 +0100

ktouch (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:08 +0000

ktouch (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Josep Febrer ]
  * Update installed files.
  * Bump kde-sc-dev-latest and kdelibs5-dev build dependencies to 4:4.10.1.
  * Add libqt4-opengl-dev and libxkbfile-dev as new build dependencies.
  * Make ktouch package depend on libqt4-sql-sqlite as it is needed to create
    the user profile database.
  * Update copyright file.

  [ Pino Toscano ]
  * Update Uploaders.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 20:01:30 +0000

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), libqt4-opengl-dev, libxkbfile-dev
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git

Package: ktouch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktouch-data (>= ${source:Version}), libqt4-sql-sqlite
Suggests: khelpcenter4
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Breaks: ktouch (<< 4:4.7.2)
Replaces: ktouch (<< 4:4.7.2)
Depends: ${misc:Depends}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 4.12.3

=== debian/changelog ===
ktouch (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:48:10 +0100

ktouch (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:11:45 +0100

ktouch (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:17:00 +0000

ktouch (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:31:32 +0000

ktouch (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:29:09 +0000

ktouch (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:28:21 +0000

ktouch (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:25:36 +0100

ktouch (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:51:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libqt4-opengl-dev, libxkbfile-dev
+ kdelibs5-dev (>= 4:4.12.3), libqt4-opengl-dev, libxkbfile-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch

## ktouch 4.13.0

=== debian/changelog ===
ktouch (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:17:55 +0100

ktouch (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:44:49 +0200

ktouch (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:44:41 +0100

ktouch (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:31:12 +0000

ktouch (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:05:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libqt4-opengl-dev, libxkbfile-dev
+ kdelibs5-dev (>= 4:4.13.0), libqt4-opengl-dev, libxkbfile-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch

## ktouch 4.13.3

=== CMakeLists.txt ===
# KTouch CMakeLists.txt file
#

project(ktouch)

find_package(KDE4 4.9.95 REQUIRED)
include(KDE4Defaults)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${QT4_INCLUDES})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

# subdirectories to build
add_subdirectory(data)
add_subdirectory(doc)
add_subdirectory(src)
# add_subdirectory(sounds) # excluded because of the lack of sound support
add_subdirectory(images)
add_subdirectory(icons)

# files to install in the ktouch project root directory
install( PROGRAMS ktouch.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

macro_display_feature_log()

=== debian/changelog ===
ktouch (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:34:49 +0200

ktouch (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:54:33 +0200

ktouch (4:4.13.0-0ubuntu1.1) trusty; urgency=medium

  * Add dependency on qtdeclarative4-kqtquickcharts-1 as the qml module
    is needed for anything to be displayed. LP: #1310019

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 22 Apr 2014 11:47:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libqt4-opengl-dev, libxkbfile-dev
+ kdelibs5-dev (>= 4:4.13.3), libqt4-opengl-dev, libxkbfile-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
@@ -16,7 +16,8 @@
 
 Package: ktouch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ktouch-data (>= ${source:Version}), libqt4-sql-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}, ktouch-data (>= ${source:Version}),
+ libqt4-sql-sqlite, qtdeclarative4-kqtquickcharts-1
 Suggests: khelpcenter4
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDEEDU_KTOUCH_BUILD_WITH_PHONON=ON

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/ktouch-([\d\.]*).tar.xz

## ktouch 4.14.1

=== debian/changelog ===
ktouch (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:39:42 +0200

ktouch (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:27:12 +0200

ktouch (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:14:47 +0200

ktouch (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:39:59 +0200

ktouch (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add appdata file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:30:58 +0200

ktouch (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian:
   - Add dependency on qtdeclarative4-kqtquickcharts-1 as the qml module
     is needed for anything to be displayed. LP: #1310019

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:00 +0100

ktouch (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 May 2014 18:36:48 +0200

ktouch (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:41 +0200

ktouch (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:19 +0100

ktouch (4:4.12.2-1) experimental; urgency=low

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:34 +0100

ktouch (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:27 +0100

ktouch (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:52:53 +0200

ktouch (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:43:08 +0200

ktouch (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,28 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
-Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.3), libqt4-opengl-dev, libxkbfile-dev
-Standards-Version: 3.9.3
+Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
+               libqt4-opengl-dev,
+               libxkbfile-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ktouch.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/ktouch.git
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ktouch.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ktouch.git
 
 Package: ktouch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ktouch-data (>= ${source:Version}),
- libqt4-sql-sqlite, qtdeclarative4-kqtquickcharts-1
+Depends: ktouch-data (>= ${source:Version}),
+         libqt4-sql-sqlite,
+         qtdeclarative4-kqtquickcharts-1,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: khelpcenter4
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It

## ktouch 4.14.2

=== debian/changelog ===
ktouch (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:51 +0200

ktouch (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:17 +0200

ktouch (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 05:15:39 +0200

ktouch (4:4.14.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Aug 2014 12:05:33 +0200

ktouch (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jul 2014 15:45:06 +0200

ktouch (4:4.13.1-2) unstable; urgency=medium

  * Add missing dependency qtdeclarative4-kqtquickcharts-1.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Jun 2014 10:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.9.95),
                libqt4-opengl-dev,
                libxkbfile-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ktouch
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ktouch.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ktouch.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ktouch.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ktouch.git
 
 Package: ktouch
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/ktouch-([\d.]+).tar.xz

## ktouch 14.12.3

=== debian/changelog ===
ktouch (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdelibs parent version depend. 
  * New upstream release
  * Fix kdelibs5 version in build depends. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:03:11 -0700

ktouch (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version
    
 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:56:42 -0800

ktouch (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:24:18 +0100

ktouch (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
   - not-installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:47 +0100

ktouch (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:15:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.9.95),
+               kdelibs5-dev (>= 4:4.14),
                libqt4-opengl-dev,
                libxkbfile-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ktouch.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ktouch.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ktouch.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ktouch.git
 
 Package: ktouch
 Architecture: any
@@ -22,7 +22,7 @@
          qtdeclarative4-kqtquickcharts-1,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: khelpcenter4
+Suggests: khelpcenter
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It
  provides a sample text to type and indicates which fingers should be used for

## ktouch 15.08.2

=== debian/changelog ===
ktouch (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:48:37 +0100

ktouch (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:28:48 +0100

ktouch (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:40:37 +0100

ktouch (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:16:34 +0100

ktouch (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix kdelibs version 
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:26:48 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libqt4-opengl-dev,
                libxkbfile-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ktouch.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ktouch.git

## ktouch 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,5 +19,6 @@
 
 # files to install in the ktouch project root directory
 install( PROGRAMS ktouch.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
+install(FILES ktouch.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
 
 macro_display_feature_log()

=== data/courses/CMakeLists.txt ===
set (coursefiles
    ara.xml
    bg1.xml
    bg2.xml
    br.xml
    cat.xml
    cz.xml
    de.dvorak.xml
    de.neo.xml
    de1.xml
    de2.xml
    dk1.xml
    es.dvorak.xml
    es1.xml
    es2.xml
    es3.xml
    es4.xml
    fi.xml
    fr.bepo.xml
    fr.dvarok.xml
    fr.xml
    gb.xml
    gr.xml
    ir.xml
    it.xml
    lt.std.xml
    nl1.xml
    nl2.xml
    no.xml
    pl.xml
    ru.legacy.xml
    ru1.xml
    ru2.xml
    si.xml
    sk.xml
    tr.xml
    ua.xml
    us.colemak.xml
    us.dvorak1.xml
    us.dvorak2.xml
    us.workman.xml
    us.xml
)

file(GLOB coursefiles_GLOB RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.xml)
list(SORT coursefiles_GLOB)
if(NOT "${coursefiles}" STREQUAL "${coursefiles_GLOB}")
    message(AUTHOR_WARNING "List of .xml files in data/courses differs from the list of couses")
endif()

install( FILES ${coursefiles} DESTINATION ${DATA_INSTALL_DIR}/ktouch/courses )

=== data/keyboardlayouts/CMakeLists.txt ===
set(keyboardfiles
    ara.xml
    be.xml
    bg.xml
    br.xml
    ch.fr.xml
    ch.xml
    cz.qwerty.xml
    cz.xml
    de.dvorak.xml
    de.neo2.xml
    de.xml
    dk.xml
    ee.xml
    es.dvorak.xml
    es.xml
    fi.xml
    fr.bepo.xml
    fr.dvorak.xml
    fr.xml
    gb.dvorak.xml
    gb.xml
    hu.xml
    il.xml
    ir.xml
    in.kan.xml
    in.tam_unicode.xml
    it.xml
    latam.xml
    lt.std.xml
    nl.xml
    no.xml
    pt.xml
    ru.legacy.xml
    ru.xml
    se.xml
    si.xml
    sk.qwerty.xml
    sk.xml
    tr.xml
    tr.f.xml
    ua.xml
    us.colemak.xml
    us.dvorak.xml
    us.workman.xml
    us.xml
)

install( FILES ${keyboardfiles} DESTINATION ${DATA_INSTALL_DIR}/ktouch/keyboardlayouts)

=== debian/changelog ===
ktouch (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:07:59 -0700

ktouch (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:17:29 +0100

ktouch (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:41 +0100

ktouch (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:54 +0200

ktouch (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:44 +0200

ktouch (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 22:37:42 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ktouch.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ktouch.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktouch.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktouch.git
 
 Package: ktouch
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktouch-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktouch-([\d.]+).tar.xz

## ktouch 16.08.3

=== debian/changelog ===
ktouch (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:17:22 +0100

ktouch (4:16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:34:10 +0200

ktouch (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2016 23:56:47 +0200

ktouch (4:15.12.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 23:41:48 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                libqt4-opengl-dev,
                libxkbfile-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktouch.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktouch.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktouch.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktouch.git
 
 Package: ktouch
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktouch-([\d.]+).tar.xz
